%define rel	7

Summary:	Plee The Bear 2D platform game
Name:		plee-the-bear
Version:	0.3.1
Release:	%mkrel %rel
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}-light.tar.bz2
Patch0:		plee-the-bear-0.3.1-games.patch
Patch1:		plee-the-bear-0.3.1-gcc43.patch
Patch2:		plee-the-bear-0.3.1-linkage.patch
License:	GPLv2
Group:		Games/Arcade
URL:		http://plee-the-bear.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	libclaw-devel
BuildRequires:	mesagl-devel
BuildRequires:	SDL_mixer-devel
# Dropped temporarily: if it's present, the level editor gets built.
# As of 0.3.1, the level editor dies in a fire during linking with
# a ton of wxGTK undefined references. - AdamW 2008/12
#BuildRequires:	wxGTK2.8-devel

%description
Plee The Bear is a 2D platform game like those we found on consoles in
the beginning of the 90's. The basis of the scenario fit in few lines:

4 PM or so, Plee wakes up, tired. He has dreamed again about that
awesome period when he went across the entire world together with his
belle. He puts his leg in the honey pot... empty! Moreover every
single honey pot in the house is empty. "One more trick of that kid",
he thinks. "I'm going to give him such a wallop of which hesure will
remember".

Following honey drops on the ground, Plee reaches the edge of the
forest. Beginning of the game.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .games
%patch1 -p1 -b .gcc43
%patch2 -p0 -b .linkage

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

rm -f %{buildroot}%{_datadir}/menu/plee-the-bear

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%{_gamesbindir}/%{name}
%{_gamesbindir}/running-bear
%{_libdir}/lib*.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib*.so
%{_gamesdatadir}/%{name}
%{_datadir}/applications/plee-the-bear.desktop
%{_datadir}/icons/hicolor/*/apps/ptb.png
%{_datadir}/pixmaps/ptb.*


%changelog
* Mon Apr 20 2009 Funda Wang <fundawang@mandriva.org> 0.3.1-7mdv2009.0
+ Revision: 368306
- refresh tarball

* Thu Mar 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-6mdv2009.1
+ Revision: 361490
- rebuild

* Thu Mar 26 2009 Funda Wang <fundawang@mandriva.org> 0.3.1-5mdv2009.1
+ Revision: 361280
- rebuild

* Sun Dec 21 2008 Funda Wang <fundawang@mandriva.org> 0.3.1-4mdv2009.1
+ Revision: 317043
- fix linkage and libs

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.1-2mdv2009.1
+ Revision: 314032
- rebuild (this build doesn't work - crashes when you try to actually get
  into the tutorial - but the current one is uninstallable. this one wins!)
- use %%cmake macro
- temporarily disable the wxgtk dep so the level editor doesn't get built
  (it breaks the build)
- add gcc43.patch (fix build with gcc 4.3)
- rediff games.patch
- clean the spec a bit

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.3.1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 14 2008 Olivier Blin <oblin@mandriva.com> 0.1.1-1mdv2008.1
+ Revision: 151313
- remove debian-style menu
- package desktop file and icons
- 0.1.1
- split and fix patch installing in games directories
- fix libdir in x86_64 and install in games dir
- add ldconfig calls
- initial import
- create plee-the-bear

